import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SwitchComponent } from './switch/switch.component';
import { UiButtonComponent } from './ui-button/ui-button.component';
import { FullSpellcardComponent } from './full-spellcard/full-spellcard.component';

@NgModule({
  declarations: [SwitchComponent, UiButtonComponent, FullSpellcardComponent],
  imports: [CommonModule],
  exports: [SwitchComponent, UiButtonComponent],
})
export class SharedComponentsModule {}
