import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class TranslatorService {
  constructor() {}

  public races: any = {
    Aarakocra: { display: 'Aarakocra', value: 'Aarakocra' },
    Aasimar: { display: 'Aasimar', value: 'Aasimar' },
    Autognome: { display: 'Autognom', value: 'Autognome' },
    Bugbear: { display: 'Grottenschrat', value: 'Bugbear' },
    Centaur: { display: 'Zentaur', value: 'Centaur' },
    Changeling: { display: 'Wechselbalg ', value: 'Changeling' },
    Dragonborn: { display: 'Drachenblütiger', value: 'Dragonborn' },
    Duergar: { display: 'Duergar', value: 'Duergar' },
    Dwarf: { display: 'Zwerg', value: 'Dwarf' },
    Elf: { display: 'Elf', value: 'Elf' },
    Eladrin: { display: 'Eladrin', value: 'Eladrin' },
    Fairy: { display: 'Fee', value: 'Fairy' },
    Firbolg: { display: 'Firbolg', value: 'Firbolg' },
    Genasi: { display: 'Genasi', value: 'Genasi' },
    Gith: { display: 'Gedankenschinder', value: 'Gith' },
    Gnome: { display: 'Gnom', value: 'Gnome' },
    Goblin: { display: 'Goblin', value: 'Goblin' },
    Goliath: { display: 'Goliath', value: 'Goliath' },
    HalfElf: { display: 'Halbelf', value: 'HalfElf' },
    HalfElfDetection: {
      display: 'Halbelf (Mal des Entdeckens)',
      value: 'HalfElfDetection',
    },
    HalfOrc: { display: 'Halbork', value: 'HalfOrc' },
    Halfling: { display: 'Halbling', value: 'Halfling' },
    Hobgoblin: { display: 'Hobgoblin', value: 'Hobgoblin' },
    Human: { display: 'Mensch', value: 'Human' },
    Kalashtar: { display: 'Kalashtar', value: 'Kalashtar' },
    Kenku: { display: 'Kenku', value: 'Kenku' },
    Kobold: { display: 'Kobold', value: 'Kobold' },
    Leonin: { display: 'Leonin', value: 'Leonin' },
    Lizardfolk: { display: 'Echsenmensch', value: 'Lizardfolk' },
    Locathah: { display: 'Locathah', value: 'Locathah' },
    Loxodon: { display: 'Loxodon', value: 'Loxodon' },
    Minotaur: { display: 'Minotaurus', value: 'Minotaur' },
    Orc: { display: 'Ork', value: 'Orc' },
    Owlin: { display: 'Eulenmensch', value: 'Owlin' },
    Satyr: { display: 'Satyr', value: 'Satyr' },
    Shifter: { display: 'Wandler', value: 'Shifter' },
    Tabaxi: { display: 'Tabaxi', value: 'Tabaxi' },
    Tiefling: { display: 'Tiefling', value: 'Tiefling' },
    Tortle: { display: 'Tortle', value: 'Tortle' },
    Triton: { display: 'Triton', value: 'Triton' },
    Vedalken: { display: 'Vedalken', value: 'Vedalken' },
    Verdan: { display: 'Verdan', value: 'Verdan' },
    Warforged: { display: 'Kriegsgeschmiedeter', value: 'Warforged' },
    YuanTi: { display: 'Yuan-Ti', value: 'YuanTi' },
  };

  public classes: any = {
    Barbarian: { display: 'Barbar', value: 'Barbarian' },
    Bard: { display: 'Barde', value: 'Bard' },
    Cleric: { display: 'Kleriker', value: 'Cleric' },
    Druid: { display: 'Druide', value: 'Druid' },
    Fighter: { display: 'Kämpfer', value: 'Fighter' },
    Monk: { display: 'Mönch', value: 'Monk' },
    Paladin: { display: 'Paladin', value: 'Paladin' },
    Ranger: { display: 'Waldläufer', value: 'Ranger' },
    Rogue: { display: 'Schurke', value: 'Rogue' },
    Sorcerer: { display: 'Zauberer', value: 'Sorcerer' },
    Warlock: { display: 'Hexenmeister', value: 'Warlock' },
    Wizard: { display: 'Magier', value: 'Wizard' },
  };

  public genders: any = {
    Male: { display: 'Männlich', value: 'Male' },
    Female: { display: 'Weiblich', value: 'Female' },
    Diverse: { display: 'Divers', value: 'Diverse' },
  };

  public schools: any = {
    Abjuration: { display: 'Bannmagie', value: 'Abjuration' },
    Conjuration: { display: 'Beschwörung', value: 'Conjuration' },
    Divination: { display: 'Erkenntnismagie', value: 'Divination' },
    Enchantment: { display: 'Verzauberung', value: 'Enchantment' },
    Evocation: { display: 'Hervorrufung', value: 'Evocation' },
    Illusion: { display: 'Illusion', value: 'Illusion' },
    Necromancy: { display: 'Nekromantie', value: 'Necromancy' },
    Transmutation: { display: 'Verwandlung', value: 'Transmutation' },
  };
}
